Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Error actualización a 6.0
#11
Hola Sergio,

Perdona que no haya podido responder antes, ya veo que has estado barajando varias posibilidades.
Por cierto, gracias por echar una mano a Gutiall Wink
Efectivamente, habría que recompilar el binario tras hacer lo que mencionas, en cualquier caso el equipo ha sido informado de esto, pues como puede verse, es un problema que tienen varios usuarios del foro.
Os mantendré al tanto de las novedades Wink

Un saludo,
Emilio.
 Reply
#12
Todo sea en beneficio de todos Wink

Esperamos noticias entonces, muchas gracias por tu ayuda!
 Reply
#13
Hola Sergio,

¿Podrías decirme qué versión de Perl tienes en las máquinas mencionadas? (Debian 7.9 y CentOS 6.6).

Saludos,
Emilio.
 Reply
#14
Hola Emilio,

En la máquina con Debian 7.9 (64 bits) tengo la versión 5.14.2.

En CentOS no me acuerdo qué versión tenía, era una VM y ya está borrada.

Si necesitas la salida de algún comando en concreto, no dudes en decírmelo.

Un saludo
 Reply
#15
Hola Sergio,

Gracias por la información que me brindas, estoy realizando mis propias pruebas para dar con una solución a tu problema, pero debo decir que tras realizar el mismo proceso... Me funciona todo de forma correcta, cosa que no entiendo... Partiendo de un Pandora 5.1 SP3 actualizo a la 6.0 sobre un CentOS 6.7 de 64, casi casi igual que el tuyo, vaya... Sad

Mi versión de Perl es la 5.10.1... Probaré a actualizarla, pero imagino que ahora que ya he actualizado a la 6.0, no tendré mayor problema... En todo caso la próxima prueba a realizar sería realizar la actualización actualizando mi Perl antes, de forma que tenga tu versión... Seguiré haciendo pruebas y te mantendré al tanto. Si descubres o se te ocurre algo no dudes en postearlo, a ver si entre todos sacamos algo, que seguro que sí Big Grin

Un abrazo,
Emilio.
 Reply
#16
Hola Emilio,

Tu post me ha arrojado algo de luz, por lo menos ya sé que la actualización es correcta y que la versión 6.0 está "sana", y da pie a seguir investigando del lado del cliente (no es que desconfiase, es que se me habían acabado las posibilidades!).

Probaré a bajar la versión de Perl y a seguir cacharreando, cualquier cosa lo voy poniendo aquí.

Gracias por tu tiempo y tu esfuerzo!
 Reply
#17
He bajado la versión de Perl a la 5.10.1 (paquetes perl, perl-base y perl-modules cumpliendo sus dependencias) y no ha funcionado, el error persiste
 Reply
#18
Hola Sergio,

Revisando el tema más detenidamente y después de darle alguna vuelta más me he dado cuenta de algo, o eso creo.
La instalación que debes realizar mediante cpan es: "cpan install Encode::Locale", pues creo que has instalado Encode (y de ahí el Encode.pm), cuando debería tratarse de "Locale.pm".

En cualquier caso, prueba lo siguiente, ya que la máquina que tienes es un Debian: "apt-get install libencode-locale-perl".
Coméntame si estaba en lo cierto o acabo de patinar de mala manera xD

Un saludo,
Emilio.
 Reply
#19
Hola:

escribo yo también por aquí, aunque ya estoy tratando este tema en el hilo de soporte avanzado: http://forums.pandorafms.com/index.php/t...363.0.html

:S A ver si entre todos damos con la tecla.

Mi instalación también es un Debian. Antes había hecho un "cpan Encode", y ahora tras leerte un "cpan install Encode::Locale". Reiniciado demonios de servidor, agente y tentacle. El error persiste.

Tras ello he forzado (aunque ya estaba instalado) un "apt-get install libencode-locale-perl", reiniciados los demonios, pero el error persiste.

En cuanto se dispara una alerta que tiene configurado envío de correo, aparece el error en el log del servidor de pandora:

2015-11-129 09:12:00 paper [V1] [E] 'server_name': Undefined subroutine &PandoraFMS::Core::encode called at /usr/lib/perl5/PandoraFMS/Core.pm line 1062.

2015-11-12 09:12:00 paper [V1] Pandora FMS Server 'server_name' unhandled error.
2015-11-12 09:12:00 paper [V1] Pandora FMS Server restarting () in 60 seconds.
2015-11-12 09:12:20 paper [V1] Pandora FMS Server 'server_name' Shutdown by signal
 Reply
#20
A mi me pasa lo mismo, pero me pasa en alerta configurando plantilla, si la alerta es por snmp no me pasa.

Saludos
 Reply


Users browsing this thread: 1 Guest(s)


(c) 2006-2018 Artica Soluciones Tecnológicas. Contents of this wiki are under Create Common Attribution v3 licence. | pandorafms.com | pandorafms.org

Theme © MyBB Themes